org.eclipse.ui.navigator

## Interface ICommonActionExtensionSite

    public interface ICommonActionExtensionSite

Provides access to information required for the initialization of CommonActionProviders.

See the documentation of the org.eclipse.ui.navigator.navigatorContent extension point and `CommonActionProvider` for more information on contributing actions.

Since:
  3.2
See Also:
  `CommonActionProvider`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`INavigatorContentService` `getContentService()`
`String` `getExtensionId()`
`IExtensionStateModel` `getExtensionStateModel()` By default, the extension state model returned is for the associated content extension (if this is NOT a top-level action provider).
`String` `getPluginId()`
`StructuredViewer` `getStructuredViewer()`
`ICommonViewerSite` `getViewSite()`

### Method Detail

#### getExtensionStateModel

    IExtensionStateModel getExtensionStateModel()

By default, the extension state model returned is for the associated content extension (if this is NOT a top-level action provider). Otherwise, clients may use `INavigatorContentService.findStateModel(String)` to locate the state model of another content extension.

Returns:
  The extension state model of the associated Content Extension (if any) or a state model specifically for this ICommonActionProvider.
See Also:
  `IExtensionStateModel`

#### getExtensionId

    String getExtensionId()

Returns:
  The unique identifier of the associated content extension or the top-level Common Action Provider.

#### getPluginId

    String getPluginId()

Returns:
  The id of the associated plugin for the Common Action Provider.
Since:
  3.4

#### getContentService

    INavigatorContentService getContentService()

Returns:
  The associated content service for the instantiated Common Action Provider.

#### getStructuredViewer

    StructuredViewer getStructuredViewer()

Returns:
  The associated structured viewer for the instantiated Common Action Provider.

#### getViewSite

    ICommonViewerSite getViewSite()

Returns:
  The ICommonViewerSite from the CommonViewer.